[P072]Classification number search assistant interface

get
https://connect.patsnap.com/search/patent/classification/helper-search
Try in Sandbox

Based on the retrieval content and the type of classification number assistant, obtain the classification level information related to the retrieval content

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
keyword
Required
string手机
Classified retrieval content
type
Required
stringipc
The classification number assistant category includes ipc, cpc, and loc

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
h_words
array[ "手机", "电脑" ]
Key word hit
has_children
stringtrue
has children nodes
query_results
arrayPlease check the form: QueryResults
search results
cls_tree
objectPlease check the form: ClassificationTree
Classification number hierarchy tree
id
stringA
Classification code
children
arrayPlease check the form: ClassificationTree
sub Classification number hierarchy tree
lang_desc_map
objectPlease check the form: LangDescMap
Description in both Chinese and English
cn
string人类生活必需
Chinese description
en
stringHUMAN NECESSITIES
English description
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "h_words": [
      "手机",
      "电脑"
    ],
    "has_children": true,
    "query_results": [
      {
        "cls_tree": {
          "id": "A",
          "children": "ClassificationTree",
          "lang_desc_map": "LangDescMap"
        }
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms